#----------------------------------------------------------------------------#
# Tur-B2Quota.tcl 1.0 by Turranius                                           #
#                                                                            #
# This is another addon for cruxis's checkquota.pl. With this, you can run   #
# !b2quota in your chan to get the current statistics. It has nothing to do  #
# with tur-b2quota.sh.                                                       #
# Only one checkquota.pl is definable in this script.                        #
#                                                                            #
# By default its for @ only a bit, but change the o to an - in the bind to   #
# make it public for everyone.                                               #
#                                                                            #
# Change !b2quota to whatever you want the trigger the script with.          #
# If checkquota.pl is not located in /glftpd/bin/, then change the path      #
# to the 'set binary' below.                                                 #
#                                                                            #
#----------------------------------------------------------------------------#

bind pub - !b2quota pub:b2quota

#--[ Dont change down here unless you know what you're doing ]---------------#

proc pub:b2quota {nick uhost handle chan txt} {
 set binary {/glftpd/bin/checkquota.pl}
 set gb [exec $binary]
 if { "$gb" == "-1" } {
   putquick "PRIVMSG $chan :No information retrieved. Check settings or webpage might be down."
 } else {
   putquick "PRIVMSG $chan :Remaining Quota: $gb GB"
 }   
}

putlog "Tur-B2Quota.tcl 1.0 by Turranius loaded"
